Bug 120015 - (FS PROC)Oops in proc_delete_inode
(FS PROC)Oops in proc_delete_inode
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-05 04:06 EDT by Oleg Drokin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:17:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oleg Drokin 2004-04-05 04:06:08 EDT
Description of problem:

For some time already I am getting this annoying oops in all kernels
that were released for FC1. The timings are different, it might oops
on the same day or in several weeks. Oops is not fatal and may repeat
over time.

Unable to handle kernel NULL pointer dereference at virtual address
 printing eip:
*pde = 00000000
Oops: 0002
parport_pc lp parport 8139too mii ip_conntrack_ftp ip_nat_ftp
ipt_MASQUERADE iptable_nat ip_conntrack ipt_REJECT iptable_filter
ip_tables microcode keybdev mo
CPU:    0
EIP:    0060:[<c0167b29>]    Not tainted
EFLAGS: 00010206

EIP is at proc_delete_inode [kernel] 0x29 (2.4.22-1.2174.nptl)
eax: 0000007d   ebx: c094ac80   ecx: 00000020   edx: c2b0e000
esi: c0167b00   edi: 00000000   ebp: c2b0ff90   esp: c2b0ff44
ds: 0068   es: 0068   ss: 0068
Process cpuinfo.pl (pid: 458752, stackpage=c2b0f000)
Stack: c015b3db c094ac80 c094ac80 00000000 c0489280 c094ac80 00000fff
       c094ac80 bfe985a0 c2b0ff90 c094ac80 c014f055 c0489280 0000000d
       c2b0ff90 bfe985a0 00000fff c0489280 c10ff300 c39fdb00 00000000
Call Trace:   [<c015b3db>] iput [kernel] 0x12b (0xc2b0ff44)
[<c01585a3>] dput [kernel] 0xb3 (0xc2b0ff60)
[<c014f055>] path_release [kernel] 0x15 (0xc2b0ff74)
[<c014bdde>] sys_readlink [kernel] 0x6e (0xc2b0ff80)
[<c0109747>] system_call [kernel] 0x33 (0xc2b0ffc0)

Code: ff 48 10 8b 42 24 83 48 14 08 89 54 24 04 e9 54 ff ff ff 8d 

Version-Release number of selected component (if applicable):

Linux tank.linuxhacker.ru 2.4.22-1.2174.nptl #1 Wed Feb 18 16:38:32
EST 2004 i686 i686 i386 GNU/Linux

How reproducible:

I just have mrtg activated and use it with scripts like linux_stats.pl
and cpuinfo.pl from contribs, all the oopses happened in scripts,
though once it happened in mrtg itself. All the oopses have same

Perhaps another point that might influence the problem is that I
enabled large pid support (kernel.pid_max = 2147483647 in sysctl.conf)

Also all pid's that caused oopses have a pattern in them, all of them
have lower 16 bits as zero. Here are all pids that had oopses:
196608 262144 589824 786432 1245184 65536 458752

Hopefully this is enough of info.
Comment 1 Arjan van de Ven 2004-04-05 04:08:21 EDT
> Perhaps another point that might influence the problem is that I
> enabled large pid support (kernel.pid_max = 2147483647 in sysctl.conf)

ehhh never do that. FC1 doesn't support more than 32k or 64k pids
anyway... things go boom if you do that.
Comment 2 Oleg Drokin 2004-04-05 04:30:05 EDT
Well, I sort of expected there might be some problems, but since this
functionality was included into FC1 kernel I decided to give it at
least some testing. And this particular oops is not all that hard to
fix I guess (probably wrong unsigned int -> unsigned short conversion
somewhere?), I would fix it myself except downloading src rpm for this
kernel would take ages on my shitty link.

And if you do not want people to use this large pid support in FC1
kernels, you should not export /proc/sys/kernel/pid_max in first place.
Comment 3 David Lawrence 2004-09-29 16:17:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.